tbb::internal::control_storage Class Referenceabstract
Inheritance diagram for tbb::internal::control_storage:
Collaboration diagram for tbb::internal::control_storage:

## Protected Member Functions

virtual size_t | default_value () const =0
virtual void | apply_active () const
virtual bool | is_first_arg_preferred (size_t a, size_t b) const
virtual size_t | active_value () const

## Protected Attributes

size_t | my_active_value
atomic< global_control * > | my_head
spin_mutex | my_list_mutex

## Friends

class | tbb::interface9::global_control

## Detailed Description

Definition at line 449 of file tbb_main.cpp.

## Member Function Documentation

## active_value()

virtual size_t tbb::internal::control_storage::active_value | ( |  | ) | const

inline protected virtual

Reimplemented in tbb::internal::allowed_parallelism_control.

Definition at line 461 of file tbb_main.cpp.

{
return my_head? my_active_value : default_value();
}

References default_value(), my_active_value, and my_head.

Referenced by tbb::interface9::global_control::active_value().

Here is the call graph for this function:
Here is the caller graph for this function:

## apply_active()

virtual void tbb::internal::control_storage::apply_active | ( |  | ) | const

inline protected virtual

Reimplemented in tbb::internal::stack_size_control, and tbb::internal::allowed_parallelism_control.

Definition at line 457 of file tbb_main.cpp.

{}

Referenced by tbb::interface9::global_control::internal_create(), and tbb::interface9::global_control::internal_destroy().

Here is the caller graph for this function:

## default_value()

virtual size_t tbb::internal::control_storage::default_value | ( |  | ) | const

protected pure virtual

Implemented in tbb::internal::stack_size_control, and tbb::internal::allowed_parallelism_control.

Referenced by active_value(), and tbb::interface9::global_control::internal_destroy().

Here is the caller graph for this function:

## is_first_arg_preferred()

virtual bool tbb::internal::control_storage::is_first_arg_preferred | ( | size_t | a,
|  | size_t | b
| ) |  | const

inline protected virtual

Reimplemented in tbb::internal::allowed_parallelism_control.

Definition at line 458 of file tbb_main.cpp.

{
return a>b; // prefer max by default
}

Referenced by tbb::interface9::global_control::internal_create(), and tbb::interface9::global_control::internal_destroy().

Here is the caller graph for this function:

## Friends And Related Function Documentation

## tbb::interface9::global_control

friend class tbb::interface9::global_control

friend

Definition at line 450 of file tbb_main.cpp.

## Member Data Documentation

## my_active_value

size_t tbb::internal::control_storage::my_active_value

protected

Definition at line 452 of file tbb_main.cpp.

Referenced by active_value(), tbb::internal::allowed_parallelism_control::active_value(), tbb::internal::allowed_parallelism_control::active_value_if_present(), tbb::internal::allowed_parallelism_control::apply_active(), tbb::interface9::global_control::internal_create(), and tbb::interface9::global_control::internal_destroy().

## my_head

atomic<global_control*> tbb::internal::control_storage::my_head

protected

Definition at line 453 of file tbb_main.cpp.

Referenced by active_value(), tbb::internal::allowed_parallelism_control::active_value(), tbb::internal::allowed_parallelism_control::active_value_if_present(), tbb::interface9::global_control::internal_create(), and tbb::interface9::global_control::internal_destroy().

## my_list_mutex

spin_mutex tbb::internal::control_storage::my_list_mutex

protected

Definition at line 454 of file tbb_main.cpp.

Referenced by tbb::interface9::global_control::internal_create(), and tbb::interface9::global_control::internal_destroy().

The documentation for this class was generated from the following file:

- tbb_main.cpp

tbb::internal::control_storage::my_active_value
size_t my_active_value
Definition: tbb_main.cpp:452
tbb::internal::control_storage::my_head
atomic< global_control * > my_head
Definition: tbb_main.cpp:453
tbb::internal::control_storage::default_value
virtual size_t default_value() const =0

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.